import * as core from "@terrascript/core";

export interface DirectoryServiceLogSubscriptionArgs extends core.ResourceArgs {
  directoryId: string | core.StringOut;

  logGroupName: string | core.StringOut;
}

export class DirectoryServiceLogSubscription extends core.Resource<DirectoryServiceLogSubscriptionArgs> {
  @core.attr(String)
  public directoryId!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public logGroupName!: string | core.StringOut;

  constructor(name: string, args?: DirectoryServiceLogSubscriptionArgs) {
    super(name, "aws_directory_service_log_subscription", args);
  }

  public override getNamespace(): string {
    return "aws_ds";
  }
}
